aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Schäfer <gentryx@gmx.de>2013-07-03 21:53:51 +0200
committerAndreas Schäfer <gentryx@gmx.de>2013-07-03 21:53:51 +0200
commitf2d3e656f959b32f0c70626924c0dc06de747be5 (patch)
tree2bdcde88a580d61bd22a4330d8fa8af879defe45
parentMerge /usr/local/portage/andis_overlay (diff)
parentbreaking long lines (diff)
downloadsci-f2d3e656f959b32f0c70626924c0dc06de747be5.tar.gz
sci-f2d3e656f959b32f0c70626924c0dc06de747be5.tar.bz2
sci-f2d3e656f959b32f0c70626924c0dc06de747be5.zip
Merge /usr/local/portage/andis_overlay
-rw-r--r--dev-util/amdapp/amdapp-2.8.ebuild6
-rw-r--r--dev-util/intel-ocl-sdk/intel-ocl-sdk-3.0.67279.ebuild10
2 files changed, 11 insertions, 5 deletions
diff --git a/dev-util/amdapp/amdapp-2.8.ebuild b/dev-util/amdapp/amdapp-2.8.ebuild
index ed0c0d178..71cb56514 100644
--- a/dev-util/amdapp/amdapp-2.8.ebuild
+++ b/dev-util/amdapp/amdapp-2.8.ebuild
@@ -12,7 +12,8 @@ AMD64_AT="AMD-APP-SDK-v${PV}-lnx64.tgz"
MY_P="AMD-APP-SDK-v2.8-RC-lnx64"
DESCRIPTION="AMD Accelerated Parallel Processing (APP) SDK"
-HOMEPAGE="http://developer.amd.com/tools/heterogeneous-computing/amd-accelerated-parallel-processing-app-sdk"
+HOMEPAGE="http://developer.amd.com/tools/heterogeneous-computing/\
+amd-accelerated-parallel-processing-app-sdk"
SRC_URI="
amd64? ( ${AMD64_AT} )
x86? ( ${X86_AT} )"
@@ -28,7 +29,8 @@ RDEPEND="
sys-devel/gcc
media-libs/mesa
media-libs/freeglut
- || ( dev-util/opencl-headers dev-util/nvidia-cuda-toolkit >=x11-drivers/ati-drivers-11.12[opencl] )
+ || ( dev-util/opencl-headers dev-util/nvidia-cuda-toolkit
+ >=x11-drivers/ati-drivers-11.12[opencl] )
examples? ( media-libs/glew )
app-admin/eselect-opencl"
DEPEND="
diff --git a/dev-util/intel-ocl-sdk/intel-ocl-sdk-3.0.67279.ebuild b/dev-util/intel-ocl-sdk/intel-ocl-sdk-3.0.67279.ebuild
index 175c989f0..a46fad3ed 100644
--- a/dev-util/intel-ocl-sdk/intel-ocl-sdk-3.0.67279.ebuild
+++ b/dev-util/intel-ocl-sdk/intel-ocl-sdk-3.0.67279.ebuild
@@ -6,9 +6,10 @@ EAPI=5
inherit rpm multilib
-DESCRIPTION="Intel's implementation of the OpenCL standard optimized for Intel processors"
+DESCRIPTION="Intel's implementation of the OpenCL standard"
HOMEPAGE="http://software.intel.com/en-us/articles/opencl-sdk/"
-SRC_URI="http://registrationcenter.intel.com/irc_nas/3142/intel_sdk_for_ocl_applications_2013_xe_sdk_${PV}_x64.tgz"
+SRC_URI="http://registrationcenter.intel.com/irc_nas/3142/\
+intel_sdk_for_ocl_applications_2013_xe_sdk_${PV}_x64.tgz"
LICENSE="Intel-SDP"
SLOT="0"
@@ -39,7 +40,10 @@ S="${WORKDIR}/intel_sdk_for_ocl_applications_2013_xe_sdk_${PV}_x64"
src_unpack() {
default
cd "${S}"
- rpm_unpack "./opencl-1.2-base-${PV}-1.x86_64.rpm" "./opencl-1.2-devel-${PV}-1.x86_64.rpm" "./opencl-1.2-intel-cpu-${PV}-1.x86_64.rpm" "./opencl-1.2-intel-devel-${PV}-1.x86_64.rpm"
+ rpm_unpack "./opencl-1.2-base-${PV}-1.x86_64.rpm"
+ rpm_unpack "./opencl-1.2-devel-${PV}-1.x86_64.rpm"
+ rpm_unpack "./opencl-1.2-intel-cpu-${PV}-1.x86_64.rpm"
+ rpm_unpack "./opencl-1.2-intel-devel-${PV}-1.x86_64.rpm"
use mic && rpm_unpack "./opencl-1.2-intel-mic-${PV}-1.x86_64.rpm"
}